/**
 * 
 */
package eu.etaxonomy.taxeditor.editor.descriptiontree.detailpage;

import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Composite;

/**
 * @author p.ciardelli
 *
 */
public class TextDataDetailsPage extends AbstractDescriptionDetailsPage{
	
	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.editor.descriptiontree.detailpage.AbstractDescriptionDetailsPage#init()
	 */
	@Override
	void configurePage() {
		setHasCitations(true);
		setHasAnnotations(true);
	}
	
	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.editor.descriptiontree.detailpage.AbstractDescriptionDetailsPage#createDescriptionContents(org.eclipse.swt.widgets.Composite)
	 */
	@Override
	protected void createDescriptionContents(Composite parent) {
		descriptionSection = new TextDataSection(parent, this, SWT.WRAP);
		toolkit.adapt(descriptionSection);
	}
}