/**
 * 
 */
package eu.etaxonomy.taxeditor.forms;

import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.widgets.Composite;

/**
 * @author nho
 *
 */
public class MultilineTextWithLabel extends TextWithLabelComposite {
	
	/**
	 * @param parent
	 * @param labelString
	 * @param initialText
	 * @param style
	 */
	protected MultilineTextWithLabel(Composite parent, String labelString,
			String initialText, int textHeight, int style) {
		// experimenting with "SWT.V_SCROLL" 
		super(parent, labelString, initialText, style);
		GridData gd = new GridData(SWT.FILL, SWT.TOP, true, true);
		gd.heightHint = textHeight;
		text.setLayoutData(gd);
	}





}
