/**
 * 
 */
package eu.etaxonomy.taxeditor.forms.selectioncomposites;

import org.eclipse.swt.events.SelectionEvent;
import org.eclipse.swt.widgets.Composite;

import eu.etaxonomy.cdm.model.reference.ReferenceBase;
import eu.etaxonomy.taxeditor.dialogs.filteredSelection.FilteredReferenceSelectionDialog;

/**
 * @author nho
 *
 */
public class ReferenceSelectionComposite extends AbstractSelectionComposite<ReferenceBase>{

	/**
	 * @param parent
	 * @param labelString
	 * @param selection
	 * @param style
	 */
	public ReferenceSelectionComposite(Composite parent, String labelString,
			ReferenceBase selection, int style) {
		super(parent, labelString, selection, style);
	}

	/* (non-Javadoc)
	 * @see org.eclipse.swt.events.SelectionListener#widgetSelected(org.eclipse.swt.events.SelectionEvent)
	 */
	@Override
	public void widgetSelected(SelectionEvent e) {
		super.widgetSelected(e);
		selection = FilteredReferenceSelectionDialog.selectReference(getShell(), selection);

		updateText();
	}
}
