package eu.etaxonomy.taxeditor.prototype1.model;

import java.util.ArrayList;
import java.util.List;
import eu.etaxonomy.cdm.model.name.TaxonName;

public class ObjectList extends AbstractModelObject {
    
    private List/* <TaxonName> */objectList = new ArrayList();
	
	public void add(TaxonName tn) {
    	this.objectList.add(tn);
    	firePropertyChange("objectList", null, null); //$NON-NLS-1$
	}
    
    public void remove(TaxonName tn) {
        this.objectList.remove(tn);
        firePropertyChange("objectList", null, null); //$NON-NLS-1$
    }

    public Object[] toArray() {
        return (Object[]) this.objectList.toArray(new Object[this.objectList.size()]);
    }

	public List getObjectList() {
		return objectList;
	}

	public void setObjectList(List objectList) {
		this.objectList = objectList;
	}

}
